For the complete documentation index, see llms.txt. This page is also available as Markdown.

Update cart

Update the cart's content. Endpoint overwrites the cart's content with the new one.

put
Authorizations
X-Recart-API-KeystringRequired

It can be obtained in Recart account after contacting Support

Path parameters
idstringRequired

ID of the cart (session)

Body
Responses
204

No content

No content

put/carts/{id}
PUT /app-integrations/2023-12/carts/{id} HTTP/1.1
Host: api.recart.com
X-Recart-API-Key: YOUR_API_KEY
Content-Type: application/vnd.api+json
Accept: */*
Content-Length: 277

{
  "data": {
    "type": "carts",
    "attributes": {
      "totalPrice": {
        "value": 4.2,
        "currency": "USD"
      },
      "recoveryUrl": "https://example.com/cart",
      "lineItems": [
        {
          "productId": "9007199254740991",
          "variantId": "9007199254740991",
          "name": "Product name",
          "quantity": 1,
          "price": {
            "value": 4.2,
            "currency": "USD"
          }
        }
      ]
    }
  }
}

No content

Last updated

Was this helpful?